#ifndef MMU_H
#define MMU_H
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>

#include "page.h"
#include "pagetable.h"
#include "swap.h"


typedef struct mmu_info {
  int phy_mem_size;
} mmu;


mmu *init_mmu(int phy_mem_size, int virt_mem_size, int page_size, char* swapfile);

int32_t get_int32_t(mmu *mmunit, uint32_t address);
void store_int32_t(mmu *mmunit, uint32_t address, int32_t value);

void free_mmu(mmu *mmunit);

#endif /* MMU_H */
